## eclipse-titan 6.1.0

=== Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   
#   Baji, Laszlo
#   Balasko, Jeno
#   Delic, Adam
#   Forstner, Matyas
#   Godar, Marton
#   Horvath, Gabriella
#   Koppany, Csaba
#   Kovacs, Ferenc
#   Kovacs, Zoltan
#   Kremer, Peter
#   Lovassy, Arpad
#   Ormandi, Matyas
#   Pilisi, Gergely
#   Raduly, Csaba
#   Szabados, Kristof
#   Szabo, Janos Zoltan – initial implementation
#   Torpis, Zsolt
#   Zalanyi, Balazs Andor
#
##############################################################################
# Main Makefile for the TTCN-3 Test Executor
# For use with GNU make only.

TOP := .
include $(TOP)/Makefile.cfg

# Dirlist for "all", "clean", "distclean"
ALLDIRS := common compiler2 repgen xsdconvert

ifndef MINGW
	ALLDIRS += mctr2 core core2 loggerplugins
endif

# JNI not supported on Cygwin or Mingw
ifneq ($(PLATFORM), WIN32)
	ifeq ($(JNI), yes)
		ALLDIRS += JNI
	endif
endif

#ALLDIRS += ctags

# Dirlist for "dep", "tags"
DEPDIRS := $(ALLDIRS)

ALLDIRS += usrguide

# Dirlist for "install"
INSTALLDIRS := $(ALLDIRS)

INSTALLDIRS += etc help hello

###########################################################

all run clean distclean:
	@for dir in $(ALLDIRS); do \
	  $(MAKE) -C $$dir $@ || exit; \
	done

dep tags:
	@for dir in $(DEPDIRS); do \
	  $(MAKE) -C $$dir $@ || exit; \
	done

install:
	if test -h $(TTCN3_DIR); then \
	  echo $(TTCN3_DIR) is a symlink, you cannot be serious; exit 1; fi
ifdef MINGW
	$(info cross your fingers...)
endif
	-rm -rf $(TTCN3_DIR)
ifeq ($(INCLUDE_EXTERNAL_LIBS), yes)
	mkdir -p $(TTCN3_DIR)/lib
	cp -d $(OPENSSL_DIR)/lib/libcrypto.so* $(TTCN3_DIR)/lib
	cp -d $(XMLDIR)/lib/libxml2.so* $(TTCN3_DIR)/lib
endif
	@for dir in $(INSTALLDIRS); do \
	  $(MAKE) -C $$dir $@ || exit; \
	done
ifeq ($(LICENSING), yes)
	mkdir -p $(ETCDIR)/licensegen
	cp licensegen/license.dat $(ETCDIR)/license
endif
	chmod -R +r,go-w $(TTCN3_DIR)

# check is the standard GNU target for running tests
# (avoids clash with shell builtin 'test')
check:
	compiler2/compiler -v

ifneq (,$(findstring prereq,$(MAKECMDGOALS)))
# Export all variables into the environment for the prereq target
export
endif


# no need to include Makefile.genrules

.PHONY: all clean distclean dep tags install psi dox check confess prereq


Makefile.personal: SHELL:=/bin/bash
Makefile.personal:
	if [ -f $(TOP)/makefiles/$@.$${HOSTNAME:=$${COMPUTERNAME}} ]; then ln -s $(TOP)/makefiles/$@.$${HOSTNAME} $@; else touch $@; fi

=== JNI/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Balasko, Jeno
#   Lovassy, Arpad
#
##############################################################################
#
# "org_eclipse_titan_executor_jni_JNIMiddleWare.h" is generated by javah (java header generator tool)
# DO NOT EDIT THAT FILE UNLESS YOU KNOW WHAT YOU ARE DOING
#
# CLI command for header generation:
# > javah -classpath . -jni org.eclipse.titan.executor.jni.JNIMiddleWare
# - must be issued in the /bin direcory within the project

TOP := ..
include $(TOP)/Makefile.cfg

CPPFLAGS += -I$(JDKDIR)/include
ifeq ($(PLATFORM), WIN32)
CPPFLAGS += -D__int64='long long'
endif

ifeq ($(PLATFORM), LINUX)
  CPPFLAGS += -I$(JDKDIR)/include/linux
endif
ifeq ($(PLATFORM), SOLARIS)
  CPPFLAGS += -I$(JDKDIR)/include/solaris
endif
ifeq ($(PLATFORM), SOLARIS8)
  CPPFLAGS += -I$(JDKDIR)/include/solaris
endif

STATIC_SOURCES := jnimw.cc jninativelib.cc
HEADERS := jnimw.h org_eclipse_titan_executor_jni_JNIMiddleWare.h

SOURCES := $(STATIC_SOURCES)

OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(SOURCES)))

OTHER_OBJECTS := $(TOP)/mctr2/mctr/MctrError.o $(TOP)/mctr2/mctr/MainController.o \
	$(TOP)/mctr2/mctr/UserInterface.o $(TOP)/common/memory.o \
	$(TOP)/common/new.o $(TOP)/core/Textbuf.o $(TOP)/core/RInt.o $(TOP)/common/NetworkHandler.o \
	$(TOP)/mctr2/cli/config_read.lex.o $(TOP)/mctr2/cli/config_read.tab.o $(TOP)/mctr2/mctr/config_data.o \
	$(TOP)/common/config_preproc_p.tab.o $(TOP)/common/config_preproc.o $(TOP)/common/config_preproc_la.o \
	$(TOP)/common/path.o $(TOP)/common/memory.o $(TOP)/common/Path2.o

ifeq ($(LICENSING), yes)
  OTHER_OBJECTS += $(TOP)/common/license.o
endif

TARGETS := libmctrjninative.so

SOLARIS_LIBS =
SOLARIS8_LIBS := -lsocket -lnsl
LINUX_LIBS :=
FREEBSD_LIBS =
WIN32_LIBS =

#
# Rules for building the executable...
#
all run: $(TARGETS);

libmctrjninative.so: $(OBJECTS) $(OTHER_OBJECTS)
	$(LD) $(LDFLAGS) -o $@ $^ \
	$($(PLATFORM)_LIBS) -lpthread $(LICENSE_LIBS) -L$(OPENSSL_DIR)/lib -lcrypto

install: $(TARGETS)
ifeq ($(DEBUG), no)
	$(STRIP) $(TARGETS)
endif
	mkdir -p $(LIBDIR)
	cp $(TARGETS) $(LIBDIR)

include $(TOP)/Makefile.genrules

=== common/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   
#   Baji, Laszlo
#   Balasko, Jeno
#   Baranyi, Botond
#   Beres, Szabolcs
#   Csondes, Tibor
#   Delic, Adam
#   Forstner, Matyas
#   Kovacs, Ferenc
#   Ormandi, Matyas
#   Raduly, Csaba
#   Szabo, Janos Zoltan – initial implementation
#   Zalanyi, Balazs Andor
#
##############################################################################
# Makefile for the common directory of the TTCN-3 Test Executor

TOP := ..
include $(TOP)/Makefile.cfg

TARGETS :=

# The origin of GENERATED_SOURCES
ORIGINATORS := pattern_la.l  pattern_p.y  pattern_uni.y  config_preproc_la.l config_preproc_p.y

GENERATED_SOURCES := pattern_la.cc pattern_p.cc pattern_uni.cc config_preproc_la.cc config_preproc_p.tab.cc

# Sources in the CVS

STATIC_SOURCES := memory.c new.cc userinfo.c path.c config_preproc.cc Quadruple.cc \
		  Path2.cc ModuleVersion.cc JSON_Tokenizer.cc UnicharPattern.cc

ifndef MINGW
STATIC_SOURCES += NetworkHandler.cc
endif

ifeq ($(USAGE_STATS), yes)
  STATIC_SOURCES += usage_stats.cc
endif

ifeq ($(LICENSING), yes)
  STATIC_SOURCES += license.c
  ifeq ($(PLATFORM), WIN32)
    STATIC_SOURCES += hostid.c
    TARGETS += hostid$(EXESUFFIX)
  endif
  ifeq ($(PLATFORM), INTERIX)
    STATIC_SOURCES += hostid.c
    TARGETS += hostid$(EXESUFFIX)
  endif
endif

SOURCES := $(STATIC_SOURCES) $(GENERATED_SOURCES)

GENERATED_HEADERS := pattern_p.hh pattern_uni.hh config_preproc_p.tab.hh

GENERATED_OTHERS := pattern_p.output pattern_uni.output lex.backup

OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(SOURCES)))

DEPFILES := $(patsubst %.cc,%.d,$(patsubst %.c,%.d,$(SOURCES)))

SUBDIRS :=

CPPFLAGS += -D_REENTRANT

ifdef REGEX_DIR
  CPPFLAGS += -I$(REGEX_DIR)/include
endif

all run: $(OBJECTS) $(TARGETS)

install: $(OBJECTS) $(TARGETS)
ifdef MINGW
	@echo Skipped ${CURDIR} for MinGW
else
	mkdir -p $(INCDIR)
	cp version.h memory.h platform.h ttcn3float.hh pattern.hh CharCoding.hh JSON_Tokenizer.hh $(INCDIR)
ifneq ($(TARGETS), )
  ifeq ($(DEBUG), no)
	$(STRIP) $(TARGETS)
  endif
	mkdir -p $(BINDIR)
	cp $(TARGETS) $(BINDIR)
endif
endif

hostid$(EXESUFFIX): hostid.o license.o memory.o
	$(CC) $(LDFLAGS) -o $@ $^ $(LICENSE_LIBS) $(MINGW_LIBS)

pattern_la.cc: pattern_la.l
	$(FLEX) $(FLEXFLAGS) -o$@ $<

pattern_p.cc pattern_p.hh: pattern_p.y
	$(BISON) $(BISONFLAGS) $<

pattern_uni.cc pattern_uni.hh: pattern_uni.y
	$(BISON) $(BISONFLAGS) $<

config_preproc_la.cc: config_preproc_la.l
	$(FLEX) $(FLEXFLAGS) -o$@ $<

config_preproc_p.tab.cc config_preproc_p.tab.hh: config_preproc_p.y
	$(BISON) $(BISONFLAGS) -o config_preproc_p.tab.cc -p config_process_ $<

# Target-specific variable alteration
# Target-specific += causes make 3.79.1 to crash, hence this old style
ifdef OPENSSL_DIR
ifneq ($(OPENSSL_DIR), default)
license.o license.d: CPPFLAGS := $(CPPFLAGS) -I$(OPENSSL_DIR)/include
endif
endif

include ../Makefile.genrules


#vpath pattern_la.l        $(ABS_SRC)
#vpath pattern_p.y         $(ABS_SRC)
#vpath pattern_uni_lex.l   $(ABS_SRC)
#vpath pattern_uni.y       $(ABS_SRC)
#vpath config_preproc_la.l $(ABS_SRC)
#vpath config_preproc_p.y  $(ABS_SRC)

# no vpath for GENERATED_SOURCES !

=== compiler2/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   
#   Baji, Laszlo
#   Balasko, Jeno
#   Baranyi, Botond
#   Cserveni, Akos
#   Delic, Adam
#   Feher, Csaba
#   Forstner, Matyas
#   Kovacs, Ferenc
#   Kremer, Peter
#   Ormandi, Matyas
#   Raduly, Csaba
#   Szabados, Kristof
#   Szabo, Janos Zoltan – initial implementation
#   Szalai, Gabor
#   Tatarka, Gabor
#   Zalanyi, Balazs Andor
#
##############################################################################
# Makefile for the integrated (TTCN-3 and ASN.1) compiler
# and the makefile generator

TOP := ..
include $(TOP)/Makefile.cfg

ifeq ($(USAGE_STATS), yes)
SOLARIS_LIBS  := -lresolv -lsocket -lnsl
SOLARIS8_LIBS := -lresolv -lsocket -lnsl
LINUX_LIBS := -lpthread -lrt
endif

ifeq ($(findstring g++, $(CXX)), g++)
  CXXFLAGS += -fno-exceptions
endif

ifdef REGEX_DIR
  CPPFLAGS += -I$(REGEX_DIR)/include
endif

ifdef OPENSSL_DIR
ifneq ($(OPENSSL_DIR), default)
  CPPFLAGS += -I$(OPENSSL_DIR)/include
  LDFLAGS  += -L$(OPENSSL_DIR)/lib
endif
endif

ifdef XMLDIR
ifeq ($(XMLDIR), default)
  XMLDIR := /usr
  # do not add -L/usr/lib to LDFLAGS, it's redundant
else
  LDFLAGS  += -L$(XMLDIR)/lib
endif

  CPPFLAGS += -I$(XMLDIR)/include/libxml2
endif

ifdef SRCDIR
  CPPFLAGS += -Iasn1
endif

# Too many "comparison between signed and unsigned"
CCFLAGS += -Wno-sign-compare

ifndef MINGW
TARGETS := compiler$(EXESUFFIX) ttcn3_makefilegen$(EXESUFFIX) tcov2lcov$(EXESUFFIX)
MANPAGES := compiler.1 ttcn3_makefilegen.1
else
TARGETS := compiler$(EXESUFFIX)
MANPAGES := compiler.1
MAYBE_PDFS := $(MANPAGES:.1=.pdf)
endif

PDFS := $(MANPAGES:.1=.pdf)

COMPILER_SOURCES := encdec.c enum.c functionref.c record.c record_of.c union.c \
PredefFunc.cc AST.cc Code.cc Constraint.cc CompilerError.cc \
CompField.cc CompType.cc EnumItem.cc Identifier.cc Int.cc \
main.cc Real.cc Setting.cc SigParam.cc string.cc subtype.cc Stopwatch.cc \
Type.cc Type_chk.cc Type_codegen.cc TypeCompat.cc \
Typestuff.cc ustring.cc Value.cc Valuestuff.cc XerAttributes.cc subtypestuff.cc \
CodeGenHelper.cc DebuggerStuff.cc

MFGEN_SOURCES := makefile.c xpather.cc ProjectGenHelper.cc

TCOV2LCOV_SOURCES := tcov2lcov.cc

SOURCES := $(COMPILER_SOURCES) $(MFGEN_SOURCES) $(TCOV2LCOV_SOURCES)

# All sources are static in this directory
STATIC_SOURCES := $(SOURCES)

COMPILER_OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(COMPILER_SOURCES)))

MFGEN_OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(MFGEN_SOURCES)))

TCOV2LCOV_OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(TCOV2LCOV_SOURCES)))

OBJECTS := $(COMPILER_OBJECTS) $(MFGEN_OBJECTS) $(TCOV2LCOV_OBJECTS)

# Used by both the compiler and makefilegen
COMMON_OBJECTS := $(addprefix ../common/, memory.o path.o userinfo.o)

TCOV2LCOV_COMMON_OBJECTS := ../common/memory.o

ifeq ($(LICENSING), yes)
    COMMON_OBJECTS += ../common/license.o
    TCOV2LCOV_COMMON_OBJECTS += ../common/license.o
endif

ifdef REGEX_DIR
  COMMON_OBJECTS += $(REGEX_DIR)/lib/regex.o
endif

COMPILER_COMMON_OBJECTS := $(COMMON_OBJECTS) \
$(addprefix ../common/, new.o pattern_la.o pattern_p.o pattern_uni.o Quadruple.o \
ModuleVersion.o JSON_Tokenizer.o UnicharPattern.o)

ifeq ($(USAGE_STATS), yes)
COMPILER_COMMON_OBJECTS += ../common/usage_stats.o
endif

MFGEN_COMMON_OBJECTS := $(COMMON_OBJECTS) ../common/new.o

DEPFILES := $(patsubst %.cc,%.d,$(patsubst %.c,%.d,$(COMPILER_SOURCES) \
$(MFGEN_SOURCES)))

SUBDIRS := asn1 ttcn3

.PHONY: asn1_dir ttcn3_dir

all run: $(TARGETS)

asn1/libasn1_compiler.a: asn1_dir ;

ttcn3/libttcn3_compiler.a: ttcn3_dir ;

asn1_dir:
	$(MAKE) -C asn1

ttcn3_dir:
	$(MAKE) -C ttcn3

pdf: $(PDFS)

install: $(TARGETS) $(MAYBE_PDFS)
ifeq ($(DEBUG), no)
	$(STRIP) $(TARGETS)
endif
	mkdir -p $(BINDIR)
	cp $(TARGETS) $(BINDIR)
ifdef MINGW
	mkdir -p $(MANDIR)
	cp $(PDFS)    $(MANDIR)
else
	cp tcov.xsd tcov.xsl $(INCDIR)
	cp titanver $(BINDIR)
	chmod a+x $(BINDIR)/titanver
	$(RM) $(BINDIR)/ttcn3_compiler$(EXESUFFIX) \
	$(BINDIR)/asn1_compiler$(EXESUFFIX) $(BINDIR)/makefilegen$(EXESUFFIX)
	ln -s compiler$(EXESUFFIX) $(BINDIR)/ttcn3_compiler$(EXESUFFIX)
	ln -s compiler$(EXESUFFIX) $(BINDIR)/asn1_compiler$(EXESUFFIX)
	ln -s ttcn3_makefilegen$(EXESUFFIX) $(BINDIR)/makefilegen$(EXESUFFIX)
	mkdir -p $(MANDIR)/man1
	cp $(MANPAGES) $(MANDIR)/man1
	$(RM) $(MANDIR)/man1/ttcn3_compiler.1 $(MANDIR)/man1/asn1_compiler.1 \
	$(MANDIR)/man1/makefilegen.1
	ln -s compiler.1 $(MANDIR)/man1/ttcn3_compiler.1
	ln -s compiler.1 $(MANDIR)/man1/asn1_compiler.1
	ln -s ttcn3_makefilegen.1 $(MANDIR)/man1/makefilegen.1
endif

# The compiler always links to OpenSSL (even without LICENSING)
# because it uses bignums.
compiler$(EXESUFFIX): asn1/libasn1_compiler.a ttcn3/libttcn3_compiler.a \
$(COMPILER_OBJECTS) $(COMPILER_COMMON_OBJECTS)
	$(CXX) $(LDFLAGS) -o $@ $(COMPILER_OBJECTS) $(COMPILER_COMMON_OBJECTS) \
	asn1/libasn1_compiler.a ttcn3/libttcn3_compiler.a \
	-lcrypto $(RSLICLIB) $(MINGW_LIBS) $($(PLATFORM)_LIBS)

ttcn3_makefilegen$(EXESUFFIX): $(MFGEN_OBJECTS) $(MFGEN_COMMON_OBJECTS) \
ttcn3/ttcn3_preparser.lex.o asn1/asn1_preparser.lex.o
	$(CXX) $(LDFLAGS) -o $@ $^ -lxml2 $(LICENSE_LIBS) $(MINGW_LIBS)

tcov2lcov$(EXESUFFIX): $(TCOV2LCOV_OBJECTS) $(TCOV2LCOV_COMMON_OBJECTS)
	$(CXX) $(LDFLAGS) -o $@ $^ -lxml2 $(LICENSE_LIBS) $(MINGW_LIBS)

include ../Makefile.genrules

# Target-specific variable alteration
# Target-specific += causes make 3.79.1 to crash, hence this old style
makefile.o: CPPFLAGS :=  $(CPPFLAGS) -DCXX='"$(CXX)"'

# Pre-seed dependencies. Value.cc and Valuestuff.cc include asn1/asn1p.tab.hh
# However, if asn1/asn1p.y is modified, these files are not rebuilt because
# the Value.d contains a dependency on asn1/asn1p.tab.hh, which is not yet
# regenerated.
#
# 1. asn1/asn1p.y is modified
# 2. "make" checks dependencies of Value.o; decides nothing to do
# 3. "make -C asn1" rebuilds asn1p.y, updating asn1p.tab.hh
# 4. Value.o is now out of date
# 5. "make" issued a second time decides that Value.o is out of date
Value.d      Value.o      : asn1/asn1p.tab.hh
Valuestuff.d Valuestuff.o : asn1/asn1p.tab.hh
Constraint.d Constraint.o : asn1/asn1p.tab.hh

=== core2/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Balasko, Jeno
#   Delic, Adam
#   Kovacs, Ferenc
#   Raduly, Csaba
#
##############################################################################
# Makefile for the function test version Base Library of TTCN-3 Test Executor

FUNCTION_TEST_RUNTIME := yes

RT2_SOURCES := Basetype2.cc

ifndef SRCDIR
SRCDIR := ..
endif

include ../core/Makefile

CPPFLAGS += -I../core

ifdef SRCDIR
CPPFLAGS += -I$(SRCDIR)/core
endif

# Tell make that .c and .cc files can be found in another directory.
# Selective (lowercase) vpath is a GNU make feature.

vpath %.c  $(SRCDIR)/core
vpath %.cc ../core:$(SRCDIR)/core
vpath %.xsd $(SRCDIR)/core
vpath %.ttcn $(SRCDIR)/core
vpath cversion.h $(SRCDIR)/core

=== etc/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Baji, Laszlo
#   Balasko, Jeno
#   Baranyi, Botond
#   Czimbalmos, Eduard
#   Delic, Adam
#   Kovacs, Ferenc
#   Kovacs, Zoltan
#   Ormandi, Matyas
#   Raduly, Csaba
#   Szabados, Kristof
#   Szabo, Janos Zoltan – initial implementation
#   Szalai, Endre
#   Torpis, Zsolt
#
##############################################################################
# Makefile for installing the nedit and xemacs additions

TOP := ..
include ../Makefile.cfg

NEDIT_FILES := $(addprefix nedit/, $(addsuffix .pats, \
ttcn3 ttcn3_config ttcn3_log asn1))

XEMACS_FILES := $(addprefix xemacs/, ttcn3.el ttcn3-indent.el ttcn3-mode-init.el ttcn3-check-init.el ttcn3-cfg.el \
asn1-mode.el asn1-mode-1.0-pkg.tar.gz clearcase-1.08-pkg.tar.gz README.xemacs)

SKELETON_FILES := $(addprefix skeleton/, $(addsuffix .skeleton, \
altstep asn1_module component_type constant control_part data_type function \
import_part module_param port_type signature template testcase ttcn3_module))

XSD_FILES := $(addprefix xsd/, TPD.xsd)

CASE_FOLDINGS := CaseFolding.txt

install:
ifdef MINGW
	@echo Skipped ${CURDIR} for MinGW
else
	mkdir -p $(ETCDIR)/xsd
	cp $(XSD_FILES) $(ETCDIR)/xsd
	mkdir -p $(ETCDIR)/asciiart
#	cp asciiart/*.txt $(ETCDIR)/asciiart
	mkdir -p $(ETCDIR)/scripts
	cp scripts/*.py $(ETCDIR)/scripts
	cp $(CASE_FOLDINGS) $(ETCDIR)
endif

=== function_test/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Balasko, Jeno
#   Baranyi, Botond
#   Bartha, Norbert
#   Delic, Adam
#   Kovacs, Ferenc
#   Ormandi, Matyas
#   Raduly, Csaba
#
##############################################################################
# Makefile to run the non-interactive tests
DIRS := BER_EncDec RAW_EncDec Text_EncDec XER_EncDec Semantic_Analyser Semantic_Analyser_Csaba Config_Parser

SCRIPTFLAGS :=

# Coverage settings
LCOVDIR := /mnt/TTCN/Tools/lcov-1.7/usr
LCOV := no
ifeq ($(LCOV), yes)
SCRIPTFLAGS += -coverage
endif
# Runtime selection, doesn't have effect on BER/RAW tests yet
RT2 := no
ifeq ($(RT2), yes)
SCRIPTFLAGS += -rt2
endif

# Your platform. Allowed values: SOLARIS, SOLARIS8, LINUX, FREEBSD, WIN32
ifndef PLATFORM
PLATFORM1 := $(shell uname -s)
PLATFORM2 := $(shell uname -r)
PLATFORM3 := $(shell uname -m)

ifeq ($(PLATFORM1), SunOS)
  ifeq ($(PLATFORM2), 5.6)
    PLATFORM := SOLARIS
  else
    PLATFORM := SOLARIS8
  endif # 5.6
endif # SunOS
ifeq ($(PLATFORM1), Linux)
  PLATFORM := LINUX
endif # Linux
ifeq ($(PLATFORM1), FreeBSD)
  PLATFORM := FREEBSD
endif # FreeBSD
ifeq ($(findstring CYGWIN, $(PLATFORM1)), CYGWIN)
  PLATFORM := WIN32
endif # CYGWIN
ifeq ($(PLATFORM1), Interix)
  PLATFORM := INTERIX
endif # Interix
endif # ifndef PLATFORM
ifndef PLATFORM
	PLEASE CHECK THE ABOVE PLATFORM SETTINGS!!!
endif # ifndef PLATFORM

export PLATFORM
export RT2

all check run: $(DIRS)

.PHONY: $(DIRS)

BER_EncDec:
	cd $@; ./run_test $(SCRIPTFLAGS)

RAW_EncDec:
	cd $@; ./run_test $(SCRIPTFLAGS)

Text_EncDec:
	cd $@; if [ ! -f perl ] ; then ln -s `which perl` perl; fi; ./run_test $(SCRIPTFLAGS)

XER_EncDec:
	cd $@; ./run_test $(SCRIPTFLAGS)

Semantic_Analyser:
	cd $@; if [ ! -f perl ] ; then ln -s `which perl` perl; fi; ./run_test_all $(SCRIPTFLAGS)

Semantic_Analyser_Csaba:
	make run -f Makefile.semantic -C Semantic_Analyser

Config_Parser:
	cd $@; if [ ! -f perl ] ; then ln -s `which perl` perl; fi; ./run_test $(SCRIPTFLAGS)

profile: $(DIRS)
	make all
	$(LCOVDIR)/bin/lcov -d .. -c -o functest_coverage.info
	$(LCOVDIR)/bin/genhtml -o functest_coverage -t "TITAN Function Test Coverage" functest_coverage.info

# It's a 50-50
clean:
	for d in $(DIRS); do if [ -f $$d/Makefile ]; then $(MAKE) -C $$d clean; else : ; fi done

$(CURDIR)/Makefile.personal:
	ln -s $(CURDIR)/../$(@F) $(CURDIR)/
include $(CURDIR)/Makefile.personal

=== hello/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Balasko, Jeno
#   Delic, Adam
#   Forstner, Matyas
#   Kovacs, Ferenc
#   Lovassy, Arpad
#   Raduly, Csaba
#   Szabo, Janos Zoltan – initial implementation
#
##############################################################################
# Makefile for installing the "Hello World!" example.

TOP := $(shell cd .. && pwd)

include ../Makefile.cfg

DEMOFILES := MyExample.ttcn PCOType.hh PCOType.cc hello_world.ttcn MyExample.cfg

MAKEFILEGENFLAGS := -g
ifeq ($(COVERAGE), yes)
MAKEFILEGENFLAGS += -C
endif

install:
ifdef MINGW
	@echo Skipped ${CURDIR} for MinGW
else
	mkdir -p $(DEMODIR)
	cp $(DEMOFILES) $(DEMODIR)
	cd $(DEMODIR) && $(BINDIR)/ttcn3_makefilegen $(MAKEFILEGENFLAGS) \
	-o Makefile.tmp $(DEMOFILES) && \
	sed -e 's/# TTCN3_DIR =/TTCN3_DIR =/' <Makefile.tmp >Makefile && \
	$(RM) Makefile.tmp && \
	$(MAKE) CXX='$(CXX)' CXXFLAGS='$(CXXFLAGS)' LDFLAGS='$(LDFLAGS)' && \
	(sleep 5 && echo 'Hello, TTCN-3!') | ttcn3_start MyExample MyExample.cfg
endif

=== help/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Baji, Laszlo
#   Balasko, Jeno
#   Baranyi, Botond
#   Feher, Csaba
#   Forstner, Matyas
#   Kovacs, Ferenc
#   Kovacs, Zoltan
#   Pilisi, Gergely
#   Raduly, Csaba
#   Szabados, Kristof
#   Szabo, Janos Zoltan – initial implementation
#   Szalai, Endre
#
##############################################################################
# Makefile for installing the docs and html help pages

TOP := ..
include ../Makefile.cfg

CHMDIR := chm

MAIN_HTML_FILES := titan_main.html titan_index.html

MAIN_CHM_FILES := titan_index.html titan_online.html titan.hhp titan.hhc

INFO_FILES := $(addprefix info/, $(addsuffix .html, \
BNF action activate address alive all alt altstep and and4b any        \
anytype bit2hex bit2int bit2oct bit2str bitstring boolean break call   \
case catch char char2int char2oct charstring check clear complement    \
component connect const continue control create deactivate decode_base64 decvalue default     \
disconnect display do done else encode encode_base64 encvalue enumerated error except         \
exception execute extension external fail false float float2int        \
float2str for from function friend get_stringencoding getcall getreply getverdict goto group \
hex2bit hex2int hex2oct hex2str hexstring if ifpresent import in       \
inconc infinity inout int2bit int2char int2float int2hex int2oct       \
int2str int2unichar integer interleave isbound ischosen ispresent isvalue kill killed \
label language length lengthof log map match message mixed mod         \
modifies module modulepar mtc noblock none not not4b nowait null objid \
oct2bit oct2char oct2hex oct2int oct2str oct2unichar octetstring of omit on        \
operators optional or or4b out override param pass pattern permutation \
port public private procedure raise read receive record recursive regexp rem remove_bom repeat \
replace reply return rnd running runs select self send sender set setverdict   \
signature sizeof start stop str2bit str2float str2hex \
str2int str2oct subset substr superset system template testcase testcasename \
timeout timer to trigger true type unichar2char unichar2int unichar2oct union universal unmap   \
value valueof var variant verdicttype while with xor xor4b profiler))

IMAGE_FILES := $(addprefix images/, $(addsuffix .jpg, ao left right up)) images/titan_transparent.gif

DOC_FILES := $(addprefix docs/, $(addsuffix .pdf, \
naming))

USERGUIDES := $(addprefix ../../doc/, $(addsuffix .pdf, \
apiguide userguide installationguide referenceguide releasenotes))

all run: ;

install:
ifdef MINGW
	@echo Skipped ${CURDIR} for MinGW
else
	mkdir -p $(BINDIR)
	cp ttcn3_help $(BINDIR)
	chmod +x $(BINDIR)/ttcn3_help
	mkdir -p $(HELPDIR)
	cp $(MAIN_HTML_FILES) $(HELPDIR)
	mkdir -p $(HELPDIR)/info
	cp $(INFO_FILES) $(HELPDIR)/info
	mkdir -p $(HELPDIR)/images
	cp $(IMAGE_FILES) $(HELPDIR)/images
	mkdir -p $(HELPDIR)/docs
	cp $(DOC_FILES) $(HELPDIR)/docs
ifeq (GEN_PDF,yes)
	ln -s $(USERGUIDES) $(HELPDIR)/docs
endif
endif

chm.tgz:
	$(RM) -r $(CHMDIR)
	mkdir -p $(CHMDIR)
	cp $(MAIN_CHM_FILES) $(CHMDIR)
	mkdir $(CHMDIR)/info
	cp $(INFO_FILES) $(CHMDIR)/info
	mkdir -p $(CHMDIR)/images
	cp $(IMAGE_FILES) $(CHMDIR)/images
	./chm_refact.sh
	tar cfz $@ chm

clean:
	$(RM) -rf $(CHMDIR) chm.tgz

=== langviz/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Balasko, Jeno
#   Forstner, Matyas
#   Raduly, Csaba
#   Szabo, Janos Zoltan – initial implementation
#
##############################################################################
# Makefile for the langviz

include ../Makefile.cfg

TARGETS := langviz$(EXESUFFIX)

GENERATED_SOURCES := bison_la.yy.cc bison_p.tab.cc

SOURCES := main.cc error.c Node.cc Symbol.cc Rule.cc Grammar.cc Iterator.cc Graph.cc $(GENERATED_SOURCES)

GENERATED_HEADERS := bison_p.tab.hh

GENERATED_OTHERS := bison_p.output lex.backup

OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(SOURCES)))

COMMON_OBJECTS := ../common/memory.o ../common/new.o ../compiler2/string.o

DEPFILES := $(patsubst %.cc,%.d,$(patsubst %.c,%.d,$(SOURCES)))

SUBDIRS :=

.PHONY:

all run: $(TARGETS)

install: $(TARGETS)
ifeq ($(DEBUG), no)
	$(STRIP) $(TARGETS)
endif
	mkdir -p $(BINDIR)
	cp $(TARGETS) $(BINDIR)

langviz$(EXESUFFIX): $(OBJECTS) $(COMMON_OBJECTS)
	$(CXX) $(LDFLAGS) -o $@ $(OBJECTS) $(COMMON_OBJECTS)

bison_la.yy.cc: bison_la.l
	$(FLEX) $(FLEXFLAGS) -o$@ $<

bison_p.tab.cc bison_p.tab.hh: bison_p.y
	$(BISON) $(BISONFLAGS) $<

include ../Makefile.genrules

=== licensegen/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Balasko, Jeno
#   Forstner, Matyas
#   Gecse, Roland
#   Raduly, Csaba
#   Szabo, Janos Zoltan – initial implementation
#
##############################################################################
# Makefile for the license generator program

include ../Makefile.cfg

MYSQL_DIR := /mnt/TTCN/Tools/mysql-5.0.41-solaris8-sparc
TARGET_DIR := /mnt/TTCN/license

CPPFLAGS += -I$(OPENSSL_DIR)/include -I$(MYSQL_DIR)/include

SOLARIS_LIBS := -lsocket -lnsl -lm -lz
SOLARIS8_LIBS := -lsocket -lnsl -lm -lz
LINUX_LIBS :=
FREEBSD_LIBS :=
WIN32_LIBS :=

SOURCES := license_gen.c
DEPFILES := $(patsubst %.cc,%.d,$(patsubst %.c,%.d,$(SOURCES)))
COMMON_OBJECTS := ../common/license.o ../common/memory.o
OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(SOURCES))) $(COMMON_OBJECTS)
TARGETS := license_gen$(EXESUFFIX)

license_gen$(EXESUFFIX): $(OBJECTS)
	$(CC) -o $@ $(OBJECTS) $(MYSQL_DIR)/lib/libmysqlclient.a \
	$(OPENSSL_DIR)/lib/libcrypto.a $($(PLATFORM)_LIBS)
	chmod g+w $(TARGETS)

install: $(TARGETS)
	strip $(TARGETS)
	cp $(TARGETS) $(TARGET_DIR)
	chmod 710 $(TARGET_DIR)/license_gen$(EXESUFFIX)
	chmod u+s $(TARGET_DIR)/license_gen$(EXESUFFIX)

include ../Makefile.genrules

=== loggerplugins/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Balasko, Jeno
#   Delic, Adam
#   Raduly, Csaba
#   Susanszky, Eszter
#
##############################################################################
TOP    := ..
include   ../Makefile.cfg

DIRS := \
JUnitLogger TSTLogger JUnitLogger2

ifeq ($(LTTNGUSTLOGGER),yes)
	DIRS += LTTngUSTLogger
endif

all run dep clean distclean install:
	for d in $(DIRS); do $(MAKE) -C $$d $@ || exit 1; done

=== debian/changelog ===
eclipse-titan (6.1.0-1) unstable; urgency=high

  * New release.
  * Bump debhelper compat level to 10 (no changes needed)
  * debian/rules:
    - Changed --parallel to --no-parallel to fix build (Closes: #844143)

 -- Gergely Pilisi <mail.pilisig@gmail.com>  Tue, 29 Nov 2016 12:36:43 +0200

=== debian/control ===
Source: eclipse-titan
Maintainer: Gergely Pilisi <mail.pilisig@gmail.com>
Homepage: https://github.com/eclipse/titan.core
Section: java
Priority: optional
Standards-Version: 3.9.8
Build-Depends: bison,
               debhelper (>=10),
               default-jdk,
               expect,
               flex,
               libncurses5-dev,
               libssl-dev,
               libxml2-dev

Package: eclipse-titan
Architecture: any
Depends: default-jdk,
         expect,
         libpcap-dev,
         libpcre3-dev,
         libsctp-dev,
         libssl-dev,
         libxml2-dev,
         make,
         perl,
         python,
         ${misc:Depends},
         ${shlibs:Depends}
Description: TITAN TTCN-3 toolset from the Eclipse project
 TTCN-3 is a standardized, modular language specifically designed for testing.
 Eclipse Titan offers a free and open source (FOSS) compiler both for TTCN-3
 and for ASN.1

=== debian/rules ===
#!/usr/bin/make -f
export V=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --verbose --no-parallel

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/Install/lib

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/eclipse-titan prefix=/usr install
